package com.patzn.lims.equip.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.patzn.lims.core.web.IBaseService;
import com.patzn.lims.equip.entity.LmsEquipDeliveryOrder;
import com.patzn.lims.equip.vo.EquipOutSockVO;
import com.patzn.lims.equip.vo.LmsEquipDeliveryOrderVO;

/**
 * <p>
 * 试验耗材出库单表 服务类
 * </p>
 *
 * @author wwd
 * @since 2020-03-27
 */
public interface ILmsEquipDeliveryOrderService extends IBaseService<LmsEquipDeliveryOrder> {

    Page<LmsEquipDeliveryOrder> page(Page<LmsEquipDeliveryOrder> page, LmsEquipDeliveryOrderVO lmsEquipDeliveryOrder);


    boolean save(boolean approve, String remark);


    boolean submit(Long id, String remark);


    boolean approve(String taskId, String status, String reason);


    boolean outStockById(Long id, EquipOutSockVO vo);
}
